Bug 485271 - (CVE-2009-0037) CVE-2009-0037 curl: local file access via unsafe redirects
CVE-2009-0037 curl: local file access via unsafe redirects
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=vendorsec,repo...
: Security
Depends On: 485285 485286 485287 485288 485289 485290 488169 488170 488171
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 12:54 EST by Vincent Danen
Modified: 2010-02-03 07:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 03:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-02-12 12:54:11 EST
When handling automatic redirects, libcurl does not differentiate between different target URLS, and will follow to any new URL that it understands.  This includes the "file://" URL type, so a remote server can force a local libcurl-using application to read a local file instead of the remote one.  This can lead to these applications exposing local files they are not meant to expose.
Comment 1 Vincent Danen 2009-02-12 12:57:14 EST
This issue affects RHEL2.1, RHEL3, RHEL4, RHEL5, Fedora 9, and Fedora 10.

Affected versions: curl and libcurl 5.11(!) to and including 7.19.3
Not affected versions: curl and libcurl 5.10 and earlier, 7.19.4 and later
Comment 11 Tomas Hoger 2009-03-03 02:22:37 EST
Public now via:
  http://curl.haxx.se/mail/archive-2009-03/0010.html
Comment 12 Fedora Update System 2009-03-03 02:41:24 EST
curl-7.19.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/curl-7.19.4-1.fc10
Comment 13 Fedora Update System 2009-03-03 02:55:14 EST
curl-7.19.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/curl-7.19.4-1.fc9
Comment 16 Fedora Update System 2009-03-05 15:23:59 EST
curl-7.19.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-03-05 15:25:39 EST
curl-7.19.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 errata-xmlrpc 2009-03-19 11:30:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 2.1
  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0341 https://rhn.redhat.com/errata/RHSA-2009-0341.html

Note You need to log in before you can comment on or make changes to this bug.